Skip to main content
POST
/
v1
/
ai
/
text-to-video
/
runway-4-5
curl --request POST \ --url https://api.magnific.com/v1/ai/text-to-video/runway-4-5 \ --header 'Content-Type: application/json' \ --header 'x-magnific-api-key: <api-key>' \ --data ' { "prompt": "A majestic eagle soaring over snow-capped mountains at golden hour, cinematic lighting", "ratio": "1280:720", "duration": 10, "webhook_url": "https://example.com/webhook" } '
{ "data": { "generated": [], "task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "status": "CREATED" } }

Documentation Index

Fetch the complete documentation index at: https://docs.magnific.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-magnific-api-key
string
header
required

Your Magnific API key. Required for authentication. Learn how to obtain an API key

Body

application/json
prompt
string
required

Text prompt describing the video to generate. Maximum 2000 characters.

Maximum string length: 2000
Example:

"A majestic eagle soaring over snow-capped mountains at golden hour"

webhook_url
string<uri>

Webhook URL to notify when the task is completed

ratio
enum<string>
default:1280:720

Aspect ratio of the generated video.

  • 1280:720: Landscape (16:9)
  • 720:1280: Portrait (9:16)
  • 1104:832: Landscape (4:3)
  • 960:960: Square (1:1)
  • 832:1104: Portrait (3:4)
Available options:
1280:720,
720:1280,
1104:832,
960:960,
832:1104
duration
enum<integer>
default:5

Duration of the generated video in seconds (5, 8, or 10).

Available options:
5,
8,
10

Response

OK - The task exists and the status is returned

data
object
required
Example:
{
  "task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
  "status": "CREATED",
  "generated": [
    "https://openapi-generator.tech",
    "https://openapi-generator.tech"
  ]
}